Name: surrogator
Summary: Simple open source Libravatar compatible avatar image server written in PHP
Version: 0.3.0
Release: 6%{?dist}
Group: System Environment/Daemons
License: AGPL-3.0-or-later

Source0: https://downloads.sourceforge.net/project/surrogator/v0.3/surrogator-0.3.0.tar.bz2
Source1: surrogator.config.php
Source2: surrogator.conf
Source3: README-Fedora

URL: https://sourceforge.net/p/surrogator/wiki/Home/
Requires: php >= 5
Requires: webserver
BuildArch: noarch

%description
Simple open source Libravatar compatible avatar image server written
in PHP.

Features:
* Delivers images for email addresses
* Very easy to setup.
* No graphics processing is done on the server,
  keeping the CPU load low. All avatar images get
  pre-generated for a set of sizes
* If no image at the user requested size is found,
  the next larger image gets returned.
* Supports the mm fallback image (mystery man)

%package httpd
Summary: A htppd config to enable surrogator on an apache server
Requires: surrogator
Requires: httpd-core

%description httpd
Simple open source Libravatar compatible avatar image server written
in PHP.
This package contains an http config file that enables the service on
an apache server.

%prep
%setup -q

%build
#Nothing to do here

%install
install -dm 755 %{buildroot}
install -Dm 644 -t %{buildroot}%{_sysconfdir} %{SOURCE1}
install -Dm 644 -t %{buildroot}%{_docdir}/%{name} %{SOURCE3}
install -Dm 644 -t %{buildroot}%{_sysconfdir}/httpd/conf.d %{SOURCE2}
install -Dm 644 -t %{buildroot}%{_datadir}/%{name}/res res/*.png res/*.svg
install -Dm 644 -t %{buildroot}%{_datadir}/%{name}/www www/avatar.php res/www/*
install -dm 755 %{buildroot}%{_var}/cache/%{name}
install -dm 755 %{buildroot}%{_sharedstatedir}/%{name}
install -Dm 755 surrogator.php %{buildroot}%{_bindir}/%{name}
install -Dm 644 -t %{buildroot}%{_datadir}/%{name}/www www/avatar.php res/www/*

%files
%defattr(-,root,root)
%{_datadir}/%{name}
%{_var}/cache/%{name}
%{_sharedstatedir}/%{name}
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.config.php
%doc README.rst
%doc data/%{name}.config.php.dist
%doc %{_docdir}/%{name}/*
%license LICENSE

%files httpd
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%license LICENSE

%changelog
* Sun Nov 19 2023 Daniel Demus <daniel@demus.dk> - 0.3.0-6
- Correct DocumentRoot
* Sun Nov 19 2023 Daniel Demus <daniel@demus.dk> - 0.3.0-5
- Add Location section to allow all in apache config
* Wed Nov 15 2023 Daniel Demus <daniel@demus.dk> - 0.3.0-4
- Correct license
* Wed Nov 15 2023 Daniel Demus <daniel@demus.dk> - 0.3.0-3
- Remove invalid RewriteBase directive from apache config
* Wed Nov 15 2023 Daniel Demus <daniel@demus.dk> - 0.3.0-2
- Require only webserver in the base package
* Wed Nov 15 2023 Daniel Demus <daniel@demus.dk> - 0.3.0-1
- Require base package in the httpd config package
* Mon Oct 30 2023 Daniel Demus <daniel@demus.dk> - 0.3.0-0
- First package
